%{?python_enable_dependency_generator}
%global srcname cpuinfo
%global sum Getting CPU info

Name:           python-%{srcname}
Version:        8.0.0
Release:        %mkrel 3
Summary:        %{sum}

License:        MIT
URL:            https://github.com/workhorsy/py-cpuinfo
Source0:        https://files.pythonhosted.org/packages/source/p/py-%{srcname}/py-%{srcname}-%{version}.tar.gz
Group:          Development/Python

BuildArch:      noarch

# https://github.com/workhorsy/py-cpuinfo/issues/55
# ExclusiveArch:  %%{ix86} x86_64 %%{power64} s390x noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register

%prep
%setup -q -n py-%{srcname}-%{version}
rm -rf *.egg-info

sed -i -e '/^#!\//, 1d' cpuinfo/cpuinfo.py


%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.rst ChangeLog
%license LICENSE
%{_bindir}/cpuinfo
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/py_%{srcname}-%{version}-py3.*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 8.0.0-3.mga9
+ Revision: 1823876
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 8.0.0-2.mga9
+ Revision: 1785515
- rebuild for python-3.10

* Thu May 27 2021 joequant <joequant> 8.0.0-1.mga9
+ Revision: 1728548
- update to 8.0.0

* Tue Nov 03 2020 joequant <joequant> 7.0.0-1.mga9
+ Revision: 1641861
- update to 7.0.0

* Thu Jun 04 2020 joequant <joequant> 5.0.0-1.mga8
+ Revision: 1590222
- imported package python-cpuinfo

